# Copyright (c) 2004, Christoph Heindl and Martin Ankerl
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without modification, 
# are permitted provided that the following conditions are met:
#
#    * Redistributions of source code must retain the above copyright notice, this list 
#      of conditions and the following disclaimer.
#    * Redistributions in binary form must reproduce the above copyright notice, this list 
#      of conditions and the following disclaimer in the documentation and/or other materials 
#      provided with the distribution.
#    * Neither the name of Christoph Heindl and Martin Ankerl nor the names of its contributors 
#      may be used to endorse or promote products derived from this software without specific 
#      prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY EXPRESS 
# OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY 
# AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR 
# CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL 
# DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, 
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER 
# IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT 
# OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

# Shows a nifty ber-cool about dialog.
class About_Dialog < FXMessageBox
	# Set parent
	def initialize(parent)
		@sep = "\n  * "
		text = create_text
		super(parent, $cfg.app.name, text, $cfg.icons.app_mega, MBOX_OK|DECOR_TITLE|DECOR_BORDER)
	end
	
	# create the dialog boxes text
	def create_text
		text = $cfg.app.name + "\n"
		text << "#{$cfg.text.version} #{$cfg.app.version}, #{$cfg.text.revision} #{$cfg.app.revision}\n"
		text << $cfg.app.copyright + "\n\n"
		text << $cfg.app.url
		# credits
		text << "\n\n#{$cfg.text.credits}"
		text << @sep + $cfg.app.developers.sort_by { rand }.join(@sep)
		# thanks
		text << "\n\n#{$cfg.text.thanks}"
		text << @sep + $cfg.app.thanks.sort_by { rand }.join(@sep)
		text << "\n\nRuby #{RUBY_VERSION}, "
		text << "FXRuby #{Fox::fxrubyversion}"
		text
	end
end
